<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Formatters/Dot/FileDependencyGenerator.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Formatters.Dot.FileDependencyGenerator</title>
<link href="../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../../Synopsis.html" >Synopsis</a>.<a href="../../Formatters.html" >Formatters</a>.<a href="../Dot.html" >Dot</a>
</div><div class="class-name">class FileDependencyGenerator

</div><div class="links"><div class="file">File: <a href="../../../../File/Synopsis/Formatters/Dot.py.html" target="detail">../Synopsis/Formatters/Dot.py</a></div> <div class="xref"><a href="../../../../XRef/xref8.html#Synopsis.Formatters.Dot.FileDependencyGenerator" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dot.py.html#line369" ><img src="../../../../src-py.png" alt="source code"/></a></div></div>  <img alt="FileDependencyGenerator-inheritance" src="FileDependencyGenerator-inheritance.png" hspace="8" vspace="8" border="0" usemap="#FileDependencyGenerator-inheritance_map" />
<map name="FileDependencyGenerator-inheritance_map"><area alt="Scopes/Synopsis/Formatters/Dot/DotFileGenerator.html" href="DotFileGenerator.html" shape="rect" coords="31, 7, 292, 31" />
</map>
 <div class="doc">A Formatter that generates a file dependency graph</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_file">visit_file</a>(<span class="variable">self</span>, <span class="variable">file</span>)  </div> <div class="xref"><a href="../../../../XRef/xref8.html#Synopsis.Formatters.Dot.FileDependencyGenerator.visit_file" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dot.py.html#line372" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<table width="100%" summary="Attributes Inherited from DotFileGenerator">
<tr><td colspan="2" class="heading">Attributes Inherited from DotFileGenerator</td></tr>
<tr><td class="inherited"><a href="DotFileGenerator.html#__os" title="attribute DotFileGenerator.__os">__os</a>,
<a href="DotFileGenerator.html#direction" title="attribute DotFileGenerator.direction">direction</a>,
<a href="DotFileGenerator.html#bgcolor" title="attribute DotFileGenerator.bgcolor">bgcolor</a>,
<a href="DotFileGenerator.html#light_color" title="attribute DotFileGenerator.light_color">light_color</a>,
<a href="DotFileGenerator.html#nodes" title="attribute DotFileGenerator.nodes">nodes</a></td></tr></table>
<table width="100%" summary="Methods Inherited from DotFileGenerator">
<tr><td colspan="2" class="heading">Methods Inherited from DotFileGenerator</td></tr>
<tr><td class="inherited"><a href="DotFileGenerator.html#__init__" title="method DotFileGenerator.__init__">__init__</a>,
<a href="DotFileGenerator.html#write" title="method DotFileGenerator.write">write</a>,
<a href="DotFileGenerator.html#write_node" title="method DotFileGenerator.write_node">write_node</a>,
<a href="DotFileGenerator.html#write_edge" title="method DotFileGenerator.write_edge">write_edge</a></td></tr></table>
<!-- this part was generated by Detail -->

<div class="logo">Generated on Thu Apr 16 16:26:58 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
